Bug 1113598 - Start and End date go missing when tried to make the system compliant using unlimited guest_limit subscription
Summary: Start and End date go missing when tried to make the system compliant using u...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-06-26 13:39 UTC by Rehana
Modified: 2018-12-10 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-10 15:37:04 UTC


Attachments (Terms of Use)

Description Rehana 2014-06-26 13:39:25 UTC
Description of problem:
Observed that the subscription start and End date was not displayed in subscription-mananger list --install (in both cli and gui) , when tried to make the system compliant using unlimited guest limit subscription 

Version-Release number of selected component (if applicable):
subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.19-1
subscription management rules: 5.9
subscription-manager: 1.12.3-1.el6
python-rhsm: 1.12.3-1.el6


How reproducible:
3/3

Steps to Reproduce:
1.subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome Hypervisor Bits
Product ID:     98121
Version:        6.1
Arch:           ALL
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.
Starts:        
Ends:          
 
Product Name:   Awesome OS Server Bits
Product ID:     37060
Version:        6.1
Arch:           ALL
Status:         Partially Subscribed
Status Details: Only supports 4 of 5 virtual guests.
Starts:         06/17/2014
Ends:           06/17/2015
 
2.subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Stackable guest limit 4
Provides:          Awesome OS Server Bits
SKU:               awesomeos-guestlimit-4-stackable
Contract:          0
Account:           12331131231
Serial:            6940915760134265295
Pool ID:           8ac6a36246ada6480146ada6e00915fe
Active:            True
Quantity Used:     1
Service Level:    
Service Type:      
Status Details:    Only supports 4 of 5 virtual guests.
Subscription Type: Stackable
Starts:            06/17/2014
Ends:              06/17/2015
System Type:       Physical
 
3.Attaching guest-limit  =-1 subscription to make the system complaint

subscription-manager list --available | grep -A9 "Hypervisor"
Subscription Name: Awesome OS Super Hypervisor
Provides:          Awesome Hypervisor Bits
SKU:               awesomeos-super-hypervisor
Contract:          1
Pool ID:           8ac6a36246ada6480146ada6dcd01218
Available:         10
Suggested:         1
Service Level:    
Service Type:      
Subscription Type: Stackable
Ends:              06/17/2015

4.subscription-manager attach --pool 8ac6a36246ada6480146ada6dcd01218
Successfully attached a subscription for: Awesome OS Super Hypervisor

5.subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Super Hypervisor
Provides:          Awesome Hypervisor Bits
SKU:               awesomeos-super-hypervisor
Contract:          1
Account:           12331131231
Serial:            1703867198384472073
Pool ID:           8ac6a36246ada6480146ada6dcd01218
Active:            True
Quantity Used:     1
Service Level:    
Service Type:      
Status Details:    
Subscription Type: Stackable
Starts:            06/17/2014
Ends:              06/17/2015
System Type:       Physical
 
Subscription Name: Awesome OS Stackable guest limit 4
Provides:          Awesome OS Server Bits
SKU:               awesomeos-guestlimit-4-stackable
Contract:          0
Account:           12331131231
Serial:            6940915760134265295
Pool ID:           8ac6a36246ada6480146ada6e00915fe
Active:            True
Quantity Used:     1
Service Level:    
Service Type:      
Status Details:    
Subscription Type: Stackable
Starts:            06/17/2014
Ends:              06/17/2015
System Type:       Physical

6.subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome Hypervisor Bits
Product ID:     98121
Version:        6.1
Arch:           ALL
Status:         Subscribed
Status Details:
Starts:         06/17/2014
Ends:           06/17/2015
 
Product Name:   Awesome OS Server Bits
Product ID:     37060
Version:        6.1
Arch:           ALL
Status:         Subscribed
Status Details:
Starts:        ---------------------------->>missing date
Ends:          ------------------------------>>missing date
 

Actual results:
subscription-manager list --installed (in CLI) and subscription-manager-gui didnt list start and End date of the subscription 

Expected results:
subscription-manager list --installed (in CLI) and subscription-manager-gui should list start and End date of the subscription 

Additional info:
this was observed on a non-compliant machine (having more than 4 guests)

Comment 1 Rehana 2014-08-19 07:25:17 UTC
Retested on 

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.23-1
subscription management rules: 5.11
subscription-manager: 1.12.12-1.el6
python-rhsm: 1.12.5-1.el6


1) # subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome Hypervisor Bits
Product ID:     98121
Version:        6.1
Arch:           ALL
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.
Starts:         
Ends:           

Product Name:   Awesome OS Server Bits
Product ID:     37060
Version:        6.1
Arch:           ALL
Status:         Partially Subscribed
Status Details: Only supports 4 of 5 virtual guests.
Starts:         08/17/2014
Ends:           08/17/2015


2) attaching hypervisor subscription having guest-limit -1
# subscription-manager attach --pool ff80808147e82d4b0147e82e056b0c43
Successfully attached a subscription for: Awesome OS Super Hypervisor

3)consumed list
# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Stackable guest limit 4
Provides:          Awesome OS Server Bits
SKU:               awesomeos-guestlimit-4-stackable
Contract:          3
Account:           12331131231
Serial:            6579144496119760105
Pool ID:           ff80808147e82d4b0147e82e049a0b85
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Subscription Type: Stackable
Starts:            08/17/2014
Ends:              08/17/2015
System Type:       Physical

Subscription Name: Awesome OS Super Hypervisor
Provides:          Awesome Hypervisor Bits
SKU:               awesomeos-super-hypervisor
Contract:          2
Account:           12331131231
Serial:            781082222861864229
Pool ID:           ff80808147e82d4b0147e82e056b0c43
Active:            True
Quantity Used:     1
Service Level:     
Service Type:      
Status Details:    
Subscription Type: Stackable
Starts:            08/17/2014
Ends:              08/17/2015
System Type:       Physical

4)list installed # subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome Hypervisor Bits
Product ID:     98121
Version:        6.1
Arch:           ALL
Status:         Subscribed
Status Details: 
Starts:         08/17/2014
Ends:           08/17/2015

Product Name:   Awesome OS Server Bits
Product ID:     37060
Version:        6.1
Arch:           ALL
Status:         Subscribed
Status Details: 
Starts:         08/17/2014  ---->> now the start and end dates are displayed
Ends:           08/17/2015


The test steps demostrated the start and end dates is displayed on the host after attaching hypervisor subscription (guest-limit -1) on a partially subscribed machine.

Hence moving the bug to "Verified"

Comment 3 Bryan Kearney 2018-12-10 15:37:04 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.